Delete Resource Record
curl --request DELETE \
--url https://api-qa.interactly.ai/integrations/v2/resource-records/{integration_resource_record_id} \
--header 'Authorization: Bearer <token>'{
"integration_resource_record": {
"teamId": "5eb7cf5a86d9755df3a6c593",
"createdBy": "5eb7cf5a86d9755df3a6c593",
"updatedBy": "5eb7cf5a86d9755df3a6c593",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"_id": "5eb7cf5a86d9755df3a6c593",
"logicalId": "<string>",
"integrationId": "5eb7cf5a86d9755df3a6c593",
"config": {
"type": "practitioners",
"organizationId": "<string>",
"id": "<string>",
"npi": "<string>",
"name": "<string>",
"gender": "<string>",
"avatar": "<string>",
"summary": "<string>",
"qualification": "<string>",
"education": "<string>",
"supervisorId": "5eb7cf5a86d9755df3a6c593",
"status": "active",
"languages": [
"<string>"
],
"specialties": [
{
"name": "<string>",
"code": "<string>"
}
],
"locations": [
{
"locationId": "<string>",
"locationName": "<string>"
}
],
"workingHours": {
"mon": [
{
"start": "<string>",
"end": "<string>"
}
],
"tue": [
{
"start": "<string>",
"end": "<string>"
}
],
"wed": [
{
"start": "<string>",
"end": "<string>"
}
],
"thu": [
{
"start": "<string>",
"end": "<string>"
}
],
"fri": [
{
"start": "<string>",
"end": "<string>"
}
],
"sat": [
{
"start": "<string>",
"end": "<string>"
}
],
"sun": [
{
"start": "<string>",
"end": "<string>"
}
]
},
"preferred_visiting_reasons": [
"5eb7cf5a86d9755df3a6c593"
]
}
}
}Integrations Resource Records V2
Delete Resource Record
DELETE
/
integrations
/
v2
/
resource-records
/
{integration_resource_record_id}
Delete Resource Record
curl --request DELETE \
--url https://api-qa.interactly.ai/integrations/v2/resource-records/{integration_resource_record_id} \
--header 'Authorization: Bearer <token>'{
"integration_resource_record": {
"teamId": "5eb7cf5a86d9755df3a6c593",
"createdBy": "5eb7cf5a86d9755df3a6c593",
"updatedBy": "5eb7cf5a86d9755df3a6c593",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"_id": "5eb7cf5a86d9755df3a6c593",
"logicalId": "<string>",
"integrationId": "5eb7cf5a86d9755df3a6c593",
"config": {
"type": "practitioners",
"organizationId": "<string>",
"id": "<string>",
"npi": "<string>",
"name": "<string>",
"gender": "<string>",
"avatar": "<string>",
"summary": "<string>",
"qualification": "<string>",
"education": "<string>",
"supervisorId": "5eb7cf5a86d9755df3a6c593",
"status": "active",
"languages": [
"<string>"
],
"specialties": [
{
"name": "<string>",
"code": "<string>"
}
],
"locations": [
{
"locationId": "<string>",
"locationName": "<string>"
}
],
"workingHours": {
"mon": [
{
"start": "<string>",
"end": "<string>"
}
],
"tue": [
{
"start": "<string>",
"end": "<string>"
}
],
"wed": [
{
"start": "<string>",
"end": "<string>"
}
],
"thu": [
{
"start": "<string>",
"end": "<string>"
}
],
"fri": [
{
"start": "<string>",
"end": "<string>"
}
],
"sat": [
{
"start": "<string>",
"end": "<string>"
}
],
"sun": [
{
"start": "<string>",
"end": "<string>"
}
]
},
"preferred_visiting_reasons": [
"5eb7cf5a86d9755df3a6c593"
]
}
}
}Authorizations
Retrieve your API Key from Dashboard API Keys Section.
Path Parameters
Required string length:
24Pattern:
^[0-9a-f]{24}$Example:
"5eb7cf5a86d9755df3a6c593"
Response
Successful Response
Response model for a single integration resource record. Contains a IntegrationsResourceRecordsModel object.
Single integration resource record object
Show child attributes
Show child attributes
⌘I